Version 1.9.1

The latest news about Gargoyle

Moderator: Moderators

lpm11
Posts: 14
Joined: Sat Jan 05, 2013 8:07 am

Re: Version 1.9.1

Postby lpm11 » Sun Jan 01, 2017 5:51 pm

jayt wrote:
Lantis wrote:Some of them use the mt76 driver. I believe the MiWiFi Mini is included in this list.
I could not figure out what the rest use


Thank you for the reply.

Do you think it would be OK to install the "Breed" bootloader and use it with Gargoyle?


I use it on WT3020 - and it works great.

kandrix
Posts: 4
Joined: Wed Jan 04, 2017 1:38 pm

Re: Version 1.9.1

Postby kandrix » Tue Jan 10, 2017 3:00 pm

I would like an update of GARGOYLE 1.9.1 for DLINK DIR-615 E5.
First of all, Thanks.

Lantis
Moderator
Posts: 3203
Joined: Mon Jan 05, 2015 5:33 am
Location: Australia

Re: Version 1.9.1

Postby Lantis » Tue Jan 10, 2017 4:01 pm

With 4mb of flash I wouldn't recommend running 1.9.1
WNDR3800 on 1.9.X
WRT1900AC V1 on 1.9.X
www.lantisproject.com for custom builds and other projects

kandrix
Posts: 4
Joined: Wed Jan 04, 2017 1:38 pm

Re: Version 1.9.1

Postby kandrix » Wed Jan 11, 2017 11:33 pm

Router Model: Dlink Dir-615 E5
Link to Openwrt wiki: https://wiki.openwrt.org/toh/d-link/dir-615
Is it supported in Openwrt? Yes
Does it have >= 8MB of flash? No
Does it have >= 4MB of flash? Yes
Does it have USB support? No

I am currently in this version of GARGOYLE 1.5.10
LINK: http://www.gargoyle-router.com/download ... actory.bin

It works great but I would like a new update to use OPENVPN, Client - Server PPTP and Spanish translation.

I tested with higher versions 1.6.2
LINK: http://www.gargoyle-router.com/download ... actory.bin

It updates perfectly, works well, the only problem is that when you turn off the router or restart it goes back to the default settings and the saved settings are not kept.

User avatar
DoesItMatter
Moderator
Posts: 1373
Joined: Thu May 21, 2009 3:56 pm

Re: Version 1.9.1

Postby DoesItMatter » Fri Jan 13, 2017 3:07 am

kandrix wrote:Router Model: Dlink Dir-615 E5
Link to Openwrt wiki: https://wiki.openwrt.org/toh/d-link/dir-615
Is it supported in Openwrt? Yes
Does it have >= 8MB of flash? No
Does it have >= 4MB of flash? Yes
Does it have USB support? No

I am currently in this version of GARGOYLE 1.5.10
LINK: http://www.gargoyle-router.com/download ... actory.bin

It works great but I would like a new update to use OPENVPN, Client - Server PPTP and Spanish translation.

I tested with higher versions 1.6.2
LINK: http://www.gargoyle-router.com/download ... actory.bin

It updates perfectly, works well, the only problem is that when you turn off the router or restart it goes back to the default settings and the saved settings are not kept.


Your router does not have enough Flash to go higher than 1.5.x series for Gargoyle.

As the firmware increases, the firmware size increases as well.

The reason it is not saving your settings after reboot is there is not enough space on the flash chip to write the settings.

D-Link routers also have built in recovery typically, which takes some space on the Flash portion, so a 4MB flash really only has about 3.5 MB flash space available.

Stick with 1.5.x series or upgrade to a newer router.
:twisted: Soylent Green Is People! :twisted:
2x Asus RT-N16 = Asus 3.0.0.4.374.43 Merlin
2x Buffalo WZR-HP-G300NH V1 A0D0 = Gargoyle 1.9.x / LEDE 17.01.x
2x Engenius - ESR900 Stock 1.4.0 / OpenWRT Trunk 49400

kandrix
Posts: 4
Joined: Wed Jan 04, 2017 1:38 pm

Re: Version 1.9.1

Postby kandrix » Sun Jan 15, 2017 11:51 am

DoesItMatter wrote:
kandrix wrote:Router Model: Dlink Dir-615 E5
Link to Openwrt wiki: https://wiki.openwrt.org/toh/d-link/dir-615
Is it supported in Openwrt? Yes
Does it have >= 8MB of flash? No
Does it have >= 4MB of flash? Yes
Does it have USB support? No

I am currently in this version of GARGOYLE 1.5.10
LINK: http://www.gargoyle-router.com/download ... actory.bin

It works great but I would like a new update to use OPENVPN, Client - Server PPTP and Spanish translation.

I tested with higher versions 1.6.2
LINK: http://www.gargoyle-router.com/download ... actory.bin

It updates perfectly, works well, the only problem is that when you turn off the router or restart it goes back to the default settings and the saved settings are not kept.


Your router does not have enough Flash to go higher than 1.5.x series for Gargoyle.

As the firmware increases, the firmware size increases as well.

The reason it is not saving your settings after reboot is there is not enough space on the flash chip to write the settings.

D-Link routers also have built in recovery typically, which takes some space on the Flash portion, so a 4MB flash really only has about 3.5 MB flash space available.

Stick with 1.5.x series or upgrade to a newer router.



Thanks for the reply. Update GARGOYLE 1.5.11 but the problem persists does not save its settings when restarting the router.

It would be nice to modify the GARGOLEY 1.5.11 to work as GARGOLEY 1.5.10 to use OPENVPN, Client - Server PPTP and Spanish translation. Please

Lantis
Moderator
Posts: 3203
Joined: Mon Jan 05, 2015 5:33 am
Location: Australia

Re: Version 1.9.1

Postby Lantis » Sun Jan 15, 2017 5:04 pm

I don't see that happening sorry.
Development moves forward, not backwards.

A critical bug fix or security flaw may make it back a few versions, but not that far.
WNDR3800 on 1.9.X
WRT1900AC V1 on 1.9.X
www.lantisproject.com for custom builds and other projects

marcelogon
Posts: 1
Joined: Mon Jan 07, 2013 6:18 pm

Re: Version 1.9.1

Postby marcelogon » Mon Jan 16, 2017 1:42 am

When will the new version of gargoyle come out?

Can you add bandwidth control to the guest network?

Lantis
Moderator
Posts: 3203
Joined: Mon Jan 05, 2015 5:33 am
Location: Australia

Re: Version 1.9.1

Postby Lantis » Mon Jan 16, 2017 2:49 am

It is still being actively developed and bug tested.
The latest builds are available in the show and tell forum.

You can specify quotas based on QOS classes for a range of IP addresses.
If you make all of your guests in one range then that should work ok
WNDR3800 on 1.9.X
WRT1900AC V1 on 1.9.X
www.lantisproject.com for custom builds and other projects

Dooklink
Posts: 2
Joined: Sun Jan 29, 2017 1:54 am

Re: Version 1.9.1

Postby Dooklink » Sun Jan 29, 2017 2:06 am

I'm a relatively long time Gargoyle user, first time poster. I have just updated my two routers to 1.9.1. Both are setup as wireless bridges.

The problem I have is that the web server and SSH are not accessible a few minutes after boot on both. Has this been mentioned elsewhere at all? Is anyone else having this problem. The connections are still working perfectly. If I want to changes settings I have to reboot and change them before the access crashes or do a reflash / recovery.

Thanks for all the hard work as this is the only CFW that does what I need for wireless bridging as DD-wrt seems to block broadcast messages which blocks Chromecast and Airport functionality across the bridge.
1x Netgear WNDR3800 | Gargoyle 1.9.1
1x TP-Link WDR4300 | Gargoyle 1.9.1


Return to “News”

Who is online

Users browsing this forum: No registered users and 5 guests